curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/work_assignments/{work_assignment} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "work_assignment",
"data": {
"title": null,
"employee": {
"id": "<id>",
"object": "employee",
"links": {
"self": "/employees/<id>"
}
},
"pay_schedule": {
"id": "<id>",
"object": "pay_schedule",
"links": {
"self": "/pay_schedules/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"current_tax_jurisdiction": "ca_on",
"is_primary": true,
"accrued_vacation_pay": 0,
"paid_vacation_pay": 0,
"first_non_draft_period_start": null,
"last_non_draft_period_end": null,
"available_tax_properties": [
"ca::province_of_employment",
"ca::province_of_work",
"ca::federal_oc_surtax_exempt",
"ca::cpp_exempt",
"ca::ei_exempt",
"ca::qc::qpp_exempt",
"ca::qc::qpip_exempt",
"ca::nt::territorial_payroll_tax",
"ca::nu::territorial_payroll_tax",
"ca::federal::additional_tax",
"ca::federal::claim_amount",
"ca::federal::total_income_less_than_total_claim_amount",
"ca::federal::annual_deduction_at_source",
"ca::statutory_holiday_pay",
"ca::first_nation_exemptions",
"ca::ab::workers_compensation_class",
"ca::bc::workers_compensation_class",
"ca::mb::workers_compensation_class",
"ca::nb::workers_compensation_class",
"ca::nl::workers_compensation_class",
"ca::ns::workers_compensation_class",
"ca::nt::workers_compensation_class",
"ca::nu::workers_compensation_class",
"ca::on::workers_compensation_class",
"ca::pe::workers_compensation_class",
"ca::qc::workers_compensation_class",
"ca::sk::workers_compensation_class",
"ca::yt::workers_compensation_class",
"ca::on::claim_amount",
"ca::on::dependent_children_credit",
"ca::on::impaired_dependants_credit"
],
"external_ref": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/work_assignments/<id>"
}
}Retrieve a work assignment
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/work_assignments/{work_assignment} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "work_assignment",
"data": {
"title": null,
"employee": {
"id": "<id>",
"object": "employee",
"links": {
"self": "/employees/<id>"
}
},
"pay_schedule": {
"id": "<id>",
"object": "pay_schedule",
"links": {
"self": "/pay_schedules/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"current_tax_jurisdiction": "ca_on",
"is_primary": true,
"accrued_vacation_pay": 0,
"paid_vacation_pay": 0,
"first_non_draft_period_start": null,
"last_non_draft_period_end": null,
"available_tax_properties": [
"ca::province_of_employment",
"ca::province_of_work",
"ca::federal_oc_surtax_exempt",
"ca::cpp_exempt",
"ca::ei_exempt",
"ca::qc::qpp_exempt",
"ca::qc::qpip_exempt",
"ca::nt::territorial_payroll_tax",
"ca::nu::territorial_payroll_tax",
"ca::federal::additional_tax",
"ca::federal::claim_amount",
"ca::federal::total_income_less_than_total_claim_amount",
"ca::federal::annual_deduction_at_source",
"ca::statutory_holiday_pay",
"ca::first_nation_exemptions",
"ca::ab::workers_compensation_class",
"ca::bc::workers_compensation_class",
"ca::mb::workers_compensation_class",
"ca::nb::workers_compensation_class",
"ca::nl::workers_compensation_class",
"ca::ns::workers_compensation_class",
"ca::nt::workers_compensation_class",
"ca::nu::workers_compensation_class",
"ca::on::workers_compensation_class",
"ca::pe::workers_compensation_class",
"ca::qc::workers_compensation_class",
"ca::sk::workers_compensation_class",
"ca::yt::workers_compensation_class",
"ca::on::claim_amount",
"ca::on::dependent_children_credit",
"ca::on::impaired_dependants_credit"
],
"external_ref": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/work_assignments/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
business_entity, contractor, effective_tax_properties, employee, pay_rates, pay_schedule, pay_split, remittance_accounts, tag_assignment, tax_properties Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("work_assignment").
- Default
- With employee expanded
- With contractor expanded
- With pay_rates expanded
- With pay_schedule expanded
- With pay_split expanded
- With business_entity expanded
- With tax_properties expanded
- With effective_tax_properties expanded
- With remittance_accounts expanded
- With tag_assignment expanded
Hide child attributes
Hide child attributes
An optional label for this work assignment, used to distinguish between multiple work assignments for the same Employee or Contractor.
255The current Province of Employment (POE) for the work assignment, derived from the ca::province_of_employment Tax Property on the work assignment or, if none is set, from the Business Entity.
When true, standard tax credits are applied to this work assignment's Pay Stubs. Only one work assignment per Employee per Business Entity may be primary. If none is explicitly set to primary, the earliest work assignment is treated as primary.
This attribute is deprecated and will be removed.
This attribute is deprecated and will be removed.
The start of the first pay period for which this work assignment has a non-draft Payroll. null if the work assignment has never appeared on an approved or paid Payroll.
The end of the most recent pay period for which this work assignment has a non-draft Payroll. null if the work assignment has never appeared on an approved or paid Payroll.
A list of Tax Property template identifiers supported for this work assignment, based on its jurisdiction.
A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date the work assignment was archived. Archiving ends the work assignment's participation in future Payrolls. The archive date must not fall before any active Pay Rate's effective period.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

